﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Excel;
using SpreadsheetOwnerErrorSampleV3.Core.Prism;

namespace SpreadsheetOwnerErrorSampleV3.Views
{
	/// <summary>
	/// Interaction logic for EditorViewWithSpreadsheet.xaml
	/// </summary>
	public partial class EditorViewWithSpreadsheet : UserControl, IDockAware
	{
		public EditorViewWithSpreadsheet()
		{
			InitializeComponent();

			//Loaded += (sender, args) => ReloadWorkbook();
			//Initialized += (sender, args) => { };
		}

		private void ReloadWorkbook()
		{
			SpreadSheet.Workbook = Workbook.Load("SampleSheet.xlsx");

			//var schema = new EquipmentDictionaryWorkbookSchema26();
			//var workbook = schema.CreateWorkbook();
			//workbook.ApplyTo(SpreadSheet);
		}

		/// <inheritdoc />
		protected override void OnInitialized(EventArgs e)
		{
			base.OnInitialized(e);
			ReloadWorkbook();
		}

		/// <inheritdoc />
		public string Header { get; set; } = "Workbook";

		/// <inheritdoc />
		public bool AllowClose { get; } = true;

		/// <inheritdoc />
		public bool IsPinned { get; } = true;

		/// <inheritdoc />
		public bool IsSelected { get; set; }
	}
}
