﻿using System.Windows.Controls;
using Microsoft.Practices.Unity;
using SpreadsheetOwnerErrorSampleV3.Core.Prism;

namespace SpreadsheetOwnerErrorSampleV3.Views
{
	/// <summary>
	/// Interaction logic for TestUserControl.xaml
	/// </summary>
	public partial class TestUserControl : UserControl, IDockAware
	{
		public TestUserControl()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Gets or sets the view model.
		/// </summary>
		//[Dependency]
		//public TestUserControlViewModel ViewModel
		//{
		//	get => DataContext as TestUserControlViewModel;
		//	set => DataContext = value;
		//}

		/// <inheritdoc />
		public string Header { get; set; } = "Test";

		/// <inheritdoc />
		public bool AllowClose { get; } = true;

		/// <inheritdoc />
		public bool IsPinned { get; } = true;

		/// <inheritdoc />
		public bool IsSelected { get; set; }
	}
}
